> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Process workspace audit events

> Processes any new workspace audit events that have been created in the storage location since the last
processing run and updates the aggregated event parquet files.



## OpenAPI

````yaml /api-specs/6.3/workspace-file-audit-trail-api.json put /process
openapi: 3.0.3
info:
  description: Service to ingest and process workspace file audit events.
  title: Workspace File Audit Event Processor Service API
  contact:
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
    email: support@dominodatalab.com
  version: '1.0'
servers:
  - url: https://mycluster.domino.tech/api/workspace-audit
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
paths:
  /process:
    put:
      tags:
        - events
      summary: Process workspace audit events
      description: >-
        Processes any new workspace audit events that have been created in the
        storage location since the last

        processing run and updates the aggregated event parquet files.
      responses:
        '200':
          description: >-
            Number of new raw events processed, either successfully or skipped
            as failed
          content:
            application/json:
              schema:
                type: integer
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/domain.HTTPError'
components:
  schemas:
    domain.HTTPError:
      type: object
      properties:
        code:
          type: integer
          example: 400
        message:
          type: string
          example: Bad Request

````

## Related topics

- [Workspace File Access events](/6.3/platform-capabilities/features/governance/audit-trail/workspace-file-access-events/index.md)
- [Get processing status](/6.3/api-reference/events/get-processing-status.md)
- [System events](/6.3/platform-capabilities/features/governance/audit-trail/view-unified-audit-trail/index.md)
- [Use the Workspace File Audit App](/6.3/platform-capabilities/features/governance/audit-trail/workspace-file-access-events/use-workspace-file-audit-app.md)
